Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class ScribeRegrTest.TestScribeClient

    java.lang.Object
      rice.p2p.scribe.testing.ScribeRegrTest.TestScribeClient

All Implemented Interfaces:
  ScribeClient

Enclosing class:
  ScribeRegrTest

protected class ScribeRegrTest.TestScribeClient
extends java.lang.Object
implements ScribeClient

DESCRIBE THE CLASS

Version:
  $Id: ScribeRegrTest.java 2858 2005-12-20 10:05:43Z jeffh $
Author:
  amislove

Field Summary
`protected boolean` | `acceptAnycast` Whether or not this client should accept anycasts
`protected java.util.Vector` | `anycastMessages` The publish messages received so far
`protected int` | `i` DESCRIBE THE FIELD
`protected java.util.Vector` | `publishMessages` The publish messages received so far
`protected ScribeImpl` | `scribe` DESCRIBE THE FIELD
`protected boolean` | `subscribeFailed` Whether this client has had a subscribe fail
`protected Topic` | `topic` The topic this client is listening for

Constructor Summary
`ScribeRegrTest.TestScribeClient(ScribeImpl scribe, Topic topic, int i)` Constructor for TestScribeClient.

Method Summary
`void` | `acceptAnycast(boolean value)` DESCRIBE THE METHOD
`boolean` | `anycast(Topic topic, ScribeContent content)` DESCRIBE THE METHOD
`void` | `childAdded(Topic topic, NodeHandle child)` DESCRIBE THE METHOD
`void` | `childRemoved(Topic topic, NodeHandle child)` DESCRIBE THE METHOD
`void` | `deliver(Topic topic, ScribeContent content)` DESCRIBE THE METHOD
`ScribeContent[]` | `getAnycastMessages()` Gets the AnycastMessages attribute of the TestScribeClient object
`ScribeContent[]` | `getPublishMessages()` Gets the PublishMessages attribute of the TestScribeClient object
`boolean` | `getSubscribeFailed()` Gets the SubscribeFailed attribute of the TestScribeClient object
`void` | `subscribeFailed(Topic topic)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scribe

    protected ScribeImpl scribe

  DESCRIBE THE FIELD

### i

    protected int i

  DESCRIBE THE FIELD

### publishMessages

    protected java.util.Vector publishMessages

  The publish messages received so far

### anycastMessages

    protected java.util.Vector anycastMessages

  The publish messages received so far

### topic

    protected Topic topic

  The topic this client is listening for

### acceptAnycast

    protected boolean acceptAnycast

  Whether or not this client should accept anycasts

### subscribeFailed

    protected boolean subscribeFailed

  Whether this client has had a subscribe fail

Constructor Detail

### ScribeRegrTest.TestScribeClient

    public ScribeRegrTest.TestScribeClient(ScribeImpl scribe,
                                           Topic topic,
                                           int i)

  Constructor for TestScribeClient.

Parameters:
  `scribe` - DESCRIBE THE PARAMETER
  `i` - DESCRIBE THE PARAMETER
  `topic` - DESCRIBE THE PARAMETER

Method Detail

### getPublishMessages

    public ScribeContent[] getPublishMessages()

  Gets the PublishMessages attribute of the TestScribeClient object

  Returns:
    The PublishMessages value

### getAnycastMessages

    public ScribeContent[] getAnycastMessages()

  Gets the AnycastMessages attribute of the TestScribeClient object

  Returns:
    The AnycastMessages value

### getSubscribeFailed

    public boolean getSubscribeFailed()

  Gets the SubscribeFailed attribute of the TestScribeClient object

  Returns:
    The SubscribeFailed value

### acceptAnycast

    public void acceptAnycast(boolean value)

  DESCRIBE THE METHOD

  Parameters:
    `value` - DESCRIBE THE PARAMETER

### anycast

    public boolean anycast(Topic topic,
                           ScribeContent content)

  DESCRIBE THE METHOD

  Specified by:
    `anycast` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `content` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### deliver

    public void deliver(Topic topic,
                        ScribeContent content)

  DESCRIBE THE METHOD

  Specified by:
    `deliver` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `content` - DESCRIBE THE PARAMETER

### childAdded

    public void childAdded(Topic topic,
                           NodeHandle child)

  DESCRIBE THE METHOD

  Specified by:
    `childAdded` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `child` - DESCRIBE THE PARAMETER

### childRemoved

    public void childRemoved(Topic topic,
                             NodeHandle child)

  DESCRIBE THE METHOD

  Specified by:
    `childRemoved` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `child` - DESCRIBE THE PARAMETER

### subscribeFailed

    public void subscribeFailed(Topic topic)

  DESCRIBE THE METHOD

  Specified by:
    `subscribeFailed` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.